
package de.ivu.elect.presentation.benutzerverwaltung.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.business.benutzerverwaltung.entity.Nachricht;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.View;
import de.ivu.elect.presentation.benutzerverwaltung.NachrichtEditView;

@Named(NachrichtEditAction.COMPONENT_NAME)
public class NachrichtEditAction extends AbstractNachrichtAction {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "nachrichtEditAction";

  @View
  @Inject
  private NachrichtEditView nachrichtEditView;

  public NachrichtEditAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.NACHRICHT_EDIT;
  }

  @Override
  public boolean isDisabledInternal(@Nonnull Nachricht nachricht) {
    return false;
  }

  @Override
  protected String doIt(Nachricht nachricht) {
    return nachrichtEditView.edit(nachricht);
  }

  @Override
  protected boolean isFireChangeEvent() {
    return false;
  }

  @Override
  public String getLabelKey() {
    return "nachricht.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }
}
